ACPICONF(8)

NAME
acpiconf - control ACPI power management

SYNOPSIS
acpiconf [-h] [-i batt] [-k ack] [-s type]

DESCRIPTION
The acpiconf utility allows the user control of the ACPI power management functions. The following command-line options are recognized:

-h  Displays a summary of available options.

-i batt
    Get design information about the specified battery.

-k ack
    Ack or abort a pending suspend request using the argument provided. Most users should not use this option directly.

-s type
    Enters the specified sleep mode. Recognized types are 1 (only the CPU clock is stopped), 2 (not implemented on most systems but similar to S1), 3 (the CPU context is lost and memory context is preserved), and 4 (the CPU context is lost and memory context is stored to disk). Sleep states may also be given as S1, S2, etc. The supported states depend on BIOS implementation, including ACPI byte code (AML). If the /etc/rc.suspend and /etc/rc.resume scripts are executable, they will be run by devd(8) or apmd(8) before and after entering the given sleep state.

    The /etc/rc.resume script uses the rcorder(8) utility to call scripts in /etc/rc.d/ and the $local_startup directories that have a "resume" KEYWORD. Called scripts are supplied with single "resume" command line argument. See rc.conf(5) for more information about $local_startup.

SEE ALSO
acpi(4), acpidump(8), apm(8), apmd(8), devd(8), rc.conf(5), rcorder(8)

HISTORY
The acpiconf utility appeared in FreeBSD 5.0.

AUTHORS
-nosplit The acpiconf utility was written by Mitsuru Iwasaki <iwasaki@FreeBSD.org>. This manual page was written by Dag-Erling Smørgrav <des@FreeBSD.org>.